Subject: check 2050
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>, "Linda Wagner" <[email-masked]>
Date: Sun, 12 Nov 2006 15:01:28 -0500

Hi - I wrote out check 2050 for $296.09 to The Lapeer Group for advertising for the summer. I had issues with what they charged and the sales lady never got back with me and now I've forgotten what the problem was. So I paid it - part is grant money and if you need me to break it down, let me know. All but the July advertising is grant money. I'll give Katy copies of the bills when she comes on Tuesday. 

Call if you have questions...
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007